 /*
 * file      : src/configuser.h
 * project   : tm
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TM - Edition des heures de travail / Edition of working hours
 * GNU General Public License
 * 
 * This file is part of TM.
 * 
 * TM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * TM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with TM.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __config_h__
#define __config_h__ 1


#include <gtk/gtk.h>

// 
// 
typedef struct {
	
	gboolean	BoolConfigOk;			// Attendre la fin de la config.: Voir main.c
	gint		WinPos_X;			// 
	gint		WinPos_Y;			// 
	gint		WinWidth;			// 
	gint		WinHeight;			// 
	
	gchar		*PathNameFileBase;		// Nom de la base
	gchar		*PathNameFileNEWBase;		// Nom de la base
	gchar		*PathNameFileExport;		// Nom por l'exportation

	gint		HoursMonday[ 4 ];		// Debut matin - Fin matin - debut soir - fin soir
	gint		HoursTuesday[ 4 ];		// 
	gint		HoursWednesday[ 4 ];		// 
	gint		HoursThursday[ 4 ];		// 
	gint		HoursFriday[ 4 ];		// 
	gint		HoursSaturday[ 4 ];		// 
	gint		HoursSunday[ 4 ];		// 
		
	gint		TimeByWeek;			// Heure normale pour une semaine
	gint		ChoiceNewYear;			// CHoix d'une annee
	
	gint		CheckExportPrint;		// Binary: PDF, PNG, PS, TXT
	gint		CheckbuttonMonth;		// Binary: janvier .. decembre
	
	gdouble		ValueScale;			// gdouble	VarDraw.scale
	gboolean	BoolScaleAdjust;		// gboolean	VarDraw.BoolScaleAdjust

} VAR_CONFIG;

extern VAR_CONFIG Config;

void config_read(void);
void config_save (void);
void config_remove (void);


#endif

